Get Draft Return Totals
curl --request GET \
--url https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/totals \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/totals"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "<string>"
}
},
"data": {
"return_total": {
"amount": 123,
"currencyCode": "<string>"
},
"new_item_total": {
"amount": 123,
"currencyCode": "<string>"
},
"total_bonus_offered": {
"amount": 123,
"currencyCode": "<string>"
},
"bonus_used": {
"amount": 123,
"currencyCode": "<string>"
},
"fees": {
"applied": {
"amount": 123,
"currencyCode": "<string>"
},
"refund": {
"amount": 123,
"currencyCode": "<string>"
},
"credit": {
"amount": 123,
"currencyCode": "<string>"
},
"exchange": {
"amount": 123,
"currencyCode": "<string>"
}
},
"amount_due": {
"amount": 123,
"currencyCode": "<string>"
},
"credit": {
"amount": 123,
"currencyCode": "<string>"
},
"net": {
"amount": 123,
"currencyCode": "<string>"
},
"returning_item_subtotal": {
"amount": 123,
"currencyCode": "<string>"
},
"returning_item_tax": {
"amount": 123,
"currencyCode": "<string>"
},
"purchasing_item_tax": {
"amount": 123,
"currencyCode": "<string>"
},
"settings": {
"stripe_min": 123
},
"is_difference_covered": true
}
}{
"errors": [
{
"code": "unauthorized",
"message": "Unauthorized."
}
]
}Return Create
Get Draft Return Totals
Returns the computed monetary totals for the draft return. Money values are objects with
an integer amount in minor units and a currencyCode.
GET
/
draft-returns
/
{draft_return_id}
/
totals
Get Draft Return Totals
Authorizations
Headers
The unique identifier of the shop associated with the draft return.
This header is not required, as the merchant's shop is identified by the API key present in the request.
Optional. Responses use Content-Type: application/prs.hal-forms+json.
Available options:
application/prs.hal-forms+json Path Parameters
The unique identifier of the draft return.